Zum Hauptinhalt springen

Create a cronjob

POST/v2/projects/{projectId}/cronjobs
API-Version
v2
Request-Methode
POST
Operation-ID
cronjob-create-cronjob

Request​

  • projectIdstringrequired

    ID of the Project you want to create a Cronjob for.

Responses​

Format
application/json
Beschreibung

Created

  • idstring (uuid)required
Content-Type: application/json

{
"id": "f0f86186-0a5a-45b2-aa33-502777496347"
}
{
"properties": {
"id": {
"format": "uuid",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X POST \
-d '{"active":true,"appInstallationId":"f0f86186-0a5a-45b2-aa33-502777496347","concurrencyPolicy":"allow","description":"i am a cronjob","destination":{"url":"https://mydomain.com"},"email":"email@mittwald.example","failedExecutionAlertThreshold":123,"interval":"*/5 * * * *","target":{"appInstallationId":"f0f86186-0a5a-45b2-aa33-502777496347","destination":{"url":"https://mydomain.com"}},"timeZone":"Europe/Berlin","timeout":123}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/projects/string/cronjobs
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.cronjob.createCronjob({
"projectId": "string",
"data": {
"active": true,
"appInstallationId": "f0f86186-0a5a-45b2-aa33-502777496347",
"concurrencyPolicy": "allow",
"description": "i am a cronjob",
"destination": {
"url": "https://mydomain.com"
},
"email": "email@mittwald.example",
"failedExecutionAlertThreshold": 123,
"interval": "*/5 * * * *",
"target": {
"appInstallationId": "f0f86186-0a5a-45b2-aa33-502777496347",
"destination": {
"url": "https://mydomain.com"
}
},
"timeZone": "Europe/Berlin",
"timeout": 123
}
});

assertStatus(response, 201);

use \Mittwald\ApiClient\Generated\V2\Clients\Cronjob\CreateCronjob\CreateCronjobRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Cronjob\CreateCronjob\CreateCronjobRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// CreateCronjobRequestBody to learn how to construct a valid instance
$body = new CreateCronjobRequestBody(/* TODO: ... */);

$request = (new CreateCronjobRequest(
projectId: "string",
body: $body
));
$response = $client->cronjob()->createCronjob($request);

var_dump($response->getBody();

Auf dieser Seite